ADSys: adsysd(1)

NAME
adsysd-completion-fish - Generate the autocompletion script for fish

SYNOPSIS
adsysd completion fish [flags]

DESCRIPTION
Generate the autocompletion script for the fish shell.

To load completions in your current shell session:

    adsysd completion fish | source

To load completions for every new session, execute once:

    adsysd completion fish > ~/.config/fish/completions/adsysd.fish

You will need to start a new shell for this setup to take effect.

OPTIONS
-h, --help[=false]
    help for fish

--no-descriptions[=false]
    disable completion descriptions

OPTIONS INHERITED FROM PARENT COMMANDS
--ad-backend="sssd"
    Active Directory authentication backend

--cache-dir="/var/cache/adsys"
    directory where ADSys caches GPOs downloads and policies.

-c, --config=""
    use a specific configuration file

--gpo-list-timeout=10
    time in seconds for the GPO list. 0 for no timeout.

--run-dir="/run/adsys"
    directory where ADSys stores transient information erased on reboot.

-s, --socket="/run/adsysd.sock"
    socket path to use between daemon and client. Can be overridden by systemd socket activation.

--sssd.cache-dir="/var/lib/sss/db"
    SSSd cache directory

--sssd.config="/etc/sssd/sssd.conf"
    SSSd config file path

-t, --timeout=120
    time in seconds without activity before the service exists. 0 for no timeout.

-v, --verbose[=0]
    issue INFO (-v), DEBUG (-vv) or DEBUG with caller (-vvv) output

SEE ALSO
adsysd-completion(1)

HISTORY
12-Jun-2026 Auto generated by spf13/cobra